/*
************************************************************************
*
*   POVDev.c - POV device
*
*   Copyright (c) 1994
*
*   ETH Zuerich
*   Institut fuer Molekularbiologie und Biophysik
*   ETH-Hoenggerberg
*   CH-8093 Zuerich
*
*   SPECTROSPIN AG
*   Industriestr. 26
*   CH-8117 Faellanden
*
*   All Rights Reserved
*
*   Date of last modification : 96/03/05
*   Pathname of SCCS file     : /sgiext/molmol/sg/src/pov/SCCS/s.POVDev.c
*   SCCS identification       : 1.10
*
************************************************************************
*/

#include <stdio.h>

#include <sg_dev.h>

#include "pov_init.h"
#include "pov_view.h"
#include "pov_marker.h"
#include "pov_line.h"
#include "pov_poly.h"
#include "pov_text.h"
#include "pov_shape.h"
#include "pov_frame.h"
#include "pov_color.h"
#include "pov_light.h"

static SgDev SgPOVDev = {
  FALSE,

  VPH_NORMAL,
  3,

  SgPOVInit,
  SgPOVCleanup,

  NULL,
  NULL,
  NULL,
  NULL,

  NULL,

  NULL,

  NULL,
  SgPOVDrawLine2D,
  NULL,
  SgPOVDrawPolyline2D,
  SgPOVDrawPolygon2D,
  NULL,
  NULL,
  SgPOVDrawDisc2D,
  SgPOVDrawAnnot2D,
  SgPOVDrawText2D,

  SgPOVDrawMarkers,
  SgPOVDrawLine,
  NULL,
  SgPOVDrawPolyline,
  SgPOVDrawPolygon,
  NULL,
  SgPOVDrawDisc,
  SgPOVDrawAnnot,
  SgPOVDrawText,
  SgPOVDrawSphere,
  SgPOVDrawCylinder,
  SgPOVDrawTriMesh,
  SgPOVDrawColorTriMesh,
  SgPOVDrawStrip,
  SgPOVDrawColorStrip,

  NULL,
  NULL,
  SgPOVEndFrame,
  NULL,

  NULL,

  SgPOVSetColor,
  SgPOVSetMatProp,
  SgPOVSetTexture,
  NULL,
  SgPOVSetLineWidth,
  SgPOVSetLineStyle,
  SgPOVSetShadeModel,
  SgPOVSetFogMode,
  SgPOVSetFogPar,
  NULL,
  SgPOVSetFontSize2D,
  SgPOVSetFontSize,

  NULL,

  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,

  NULL,
  NULL,

  SgPOVSetProjection,
  SgPOVSetViewPoint,
  SgPOVSetViewAngle,
  SgPOVSetNearPlane,
  SgPOVSetFarPlane,
  SgPOVUpdateView,
  NULL,

  NULL,

  SgPOVSetLight,
  SgPOVSetLightPosition
};

void
SgPOVSetDev(void)
{
  CurrSgDevP = &SgPOVDev;
}
